1. pl-krs-wp-record
Dokumentacja MGBI API
  • MGBI API
    • Wprowadzenie
    • Autoryzacja
    • Pojęcia
    • Modele danych
      • pl-krs-wp-record
      • pl-krs-wp-entry
      • pl-krs-rdf-record
      • pl-krz-wp-record
      • pl-wpv-record
      • pl-crbr-wp-record
      • pl-msig-record
      • pl-sudop-wpopb-record
      • pl-bzp-record
      • pl-rdr-record
      • pl-idpcit-record
      • pl-mgbi-lu-record
    • Endpointy dla modeli danych
      • pl-krs-wp-record
        • Get Records
          GET
        • Get Record By Id
          GET
        • Stream Records
          GET
        • Download File By Id
          GET
        • Get Limits
          GET
        • Get Projections
          GET
        • Get Model Info
          GET
        • Post Stream Records
          POST
      • pl-krs-wp-entry
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-krs-rdf-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Type Enum Values
        • Get Model Info
        • Post Stream Records
      • pl-krz-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-wpv-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-crbr-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-msig-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-sudop-wpopb-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-bzp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-rdr-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-idpcit-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
        • Post Stream Records
      • pl-mgbi-lu-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Get Limits
        • Get Projections
        • Get Category
        • Get Model Info
        • Post Stream Records
    • Zlecanie odświeżenia danych
      • Ogólne informacje
      • Create Refresh
      • Get Refresh
    • Tworzenie raportów
      • Ogólne informacje
      • Create Report
      • Get Report By Id
      • Get Reports
      • Download Report
      • Delete Report
  1. pl-krs-wp-record

Post Stream Records

POST
/v1/models/pl-krs-wp-record/stream
Pobiera rekordy używając parametrów z ciała zapytania -NEW-.
W przypadku sukcesu w odpowiedzi zwraca listę rekordów.
W przypadku braku rekordów spełniających podane kryteria zwraca pustą listę.
Poprawne wywołanie endpointu zwiększa liczniki:
api i api_search o 1
api_search_results o 1 jeśli zwrócono co najmniej jeden rekord
records i records_api_search o liczbę zwróconych rekordów

Request

Query Params

Header Params

Body Params application/jsonRequired

Example
{
    "meta.last_update_datetime_from": "2019-08-24T14:15:22.123Z",
    "meta.last_update_datetime_to": "2019-08-24T14:15:22.123Z",
    "kind": "all",
    "identifiers.register_type": {},
    "identifiers.pl_krs": "string",
    "identifiers.pl_nip": "string",
    "identifiers.pl_regon": "string",
    "identifiers.pl_pesel.full": "string",
    "identifiers.pl_pesel.current": "string",
    "projection": "string",
    "content": [
        "string"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.mgbi.pl/v1/models/pl-krs-wp-record/stream?media_type=undefined' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
    "meta.last_update_datetime_from": "2019-08-24T14:15:22.123Z",
    "meta.last_update_datetime_to": "2019-08-24T14:15:22.123Z",
    "kind": "all",
    "identifiers.register_type": {},
    "identifiers.pl_krs": "string",
    "identifiers.pl_nip": "string",
    "identifiers.pl_regon": "string",
    "identifiers.pl_pesel.full": "string",
    "identifiers.pl_pesel.current": "string",
    "projection": "string",
    "content": [
        "string"
    ]
}'

Responses

🟢200Successful Response
application/json
Successful Response
Bodyapplication/json

Example
[
    {
        "content": {
            "current_excerpt": {},
            "full_excerpt": {}
        },
        "files": {
            "current_excerpt_pdf_file": {
                "content_type": "application/pdf",
                "name": "current.pdf",
                "url": "https://api.mgbi.pl/v2/pl-krs-wp-record/records/66224f432af717a81b7caf8f/files/current_excerpt_pdf_uri"
            },
            "full_excerpt_pdf_file": {
                "content_type": "application/pdf",
                "name": "full.pdf",
                "url": "https://api.mgbi.pl/v2/pl-krs-wp-record/records/66224f432af717a81b7caf8f/files/full_excerpt_pdf_uri"
            }
        },
        "id": "66224f432af717a81b7caf8f",
        "identifiers": {
            "pl_krs": "0000009723",
            "register_type": "P"
        },
        "meta": {
            "first_update_date": "2024-04-01",
            "last_update_date": "2024-04-03"
        }
    }
]
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠429Too Many Requests
Modified at 2026-06-03 11:40:06
Previous
Get Model Info
Next
pl-krs-wp-entry
Built with